> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bundleup.io/llms.txt
> Use this file to discover all available pages before exploring further.

# MCP Endpoint

> Endpoint for Unified MCP



## OpenAPI

````yaml https://unify.bundleup.io/openapi.json post /v1/mcp
openapi: 3.1.0
info:
  title: BundleUp Unified API
  version: 1.0.0
  description: API for interacting with BundleUp Unified services
servers:
  - url: https://unify.bundleup.io
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Chat
    description: Chat related endpoints
  - name: Git
    description: Git related endpoints
  - name: Project Management
    description: Project Management related endpoints
  - name: MCP
    description: MCP server
  - name: CRM
    description: CRM related endpoints
paths:
  /v1/mcp:
    post:
      tags:
        - MCP
      summary: MCP Endpoint
      description: Endpoint for Unified MCP
      operationId: post_MCPEndpoint
      parameters:
        - schema:
            type: string
            description: API Key for authentication
          required: true
          name: Authorization
          in: header
        - schema:
            type: string
            description: Connection ID for the integration
          required: true
          name: BU-Connection-ID
          in: header
      responses:
        '200':
          description: Successful Response For MCP
        '400':
          description: Input Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 7001
                        message:
                          type: string
                          example: Input Validation Error
                        path:
                          type: array
                          items:
                            type: string
                            example: body
                      required:
                        - code
                        - message
                        - path
                required:
                  - success
                  - errors
        '401':
          description: Not Authorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 1000
                        message:
                          type: string
                          example: Not Authorized
                      required:
                        - code
                        - message
                required:
                  - success
                  - errors
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 7002
                        message:
                          type: string
                          example: Not Found
                      required:
                        - code
                        - message
                required:
                  - success
                  - errors
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````